Touchpoints
Create a touchpoint
Creates a touchpoint. The endpoint upserts on (service, external_event_id): a request matching an existing touchpoint for the same person returns 303 See Other with a Location header, while a collision against a different person/service identity returns 409 Conflict.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/touchpoints" \ -H "Content-Type: application/json" \ -d '{ "data": { "type": "touchpoints", "attributes": {} } }'{ "data": { "type": "touchpoints", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "attributes": { "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f", "action": "string", "details": "string", "code": "string", "data": {}, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }, "relationships": { "person": { "data": { "type": "people", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" } }, "service": { "data": { "type": "services", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" } }, "author": { "data": { "type": "people", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" } } }, "links": { "self": "/touchpoints/7247ad7d-9275-454b-9e3a-0570e403739e" }, "meta": {} }}Empty
{ "errors": [ { "status": 0, "title": "string", "source": { "pointer": "string", "parameter": "string" }, "meta": { "error": "string", "field": "string" } } ]}Empty
{ "errors": [ { "status": 0, "title": "string", "source": { "pointer": "string", "parameter": "string" }, "meta": { "error": "string", "field": "string" } } ]}